# -*- coding: utf-8 -*-
import os

firstnum = 0
imagenum = len(os.listdir('capture'))

indir = 'iso/'
outdir = 'proj/'

Projection_img_name = 'ARMarkerPattern22.png'
# Projection_img_name = 'ARMarkerPattern22_.png'
Camera_img = indir+'Projector%03d.png'

# AR_thresh = 80
# thresh_first = 100
# thresh_interval = 3
# thresh_repeat_num = 20

AR_thresh = 90
thresh_first = 50
thresh_interval = 3
thresh_repeat_num = 30

''' !IMPORTANT! 0:camera, 1:projector '''
calib_mode = 1

use_center = 1
Adaptive_thresh = 1
boad_rotation = 0
Minimum_number = 4

# big size
MARK_SIZE = 0.0395
MARK_SPACE_X = 0.0055
MARK_SPACE_Y = 0.0035

# MARK_SIZE = 0.0265
# MARK_SPACE_X = 0.003
# MARK_SPACE_Y = 0.0022

output_folder_name = outdir + 'point'
detect_result_filename = outdir + 'detect_AR_image/detect_proj%03d.png'

os.makedirs(output_folder_name, exist_ok=True)

do = 'exe\\detect_AR_cam.exe' + ' '+Projection_img_name+' '+Camera_img+' '+str(firstnum)+' '+str(imagenum)+' '+str(AR_thresh)+' '+str(thresh_first)+' '+str(Adaptive_thresh)+' '+str(thresh_interval)+' '+str(thresh_repeat_num)+' '+str(MARK_SIZE)+' '+str(MARK_SPACE_X)+' '+str(MARK_SPACE_Y)+' '+str(use_center)+' '+str(boad_rotation)+' '+str(calib_mode)+' '+str(Minimum_number)+' '+output_folder_name+' '+detect_result_filename


print(do)
os.system(do)
