# -*- coding: utf-8 -*-
import os

indir = 'cam/'

imagename = 'iso/Camera%03d.png'

point2dname = indir+'point/cam2D%03d.txt'
point3dname = indir+'point/cam3D%03d.txt'
truename = indir+'point/cam_true_num.txt'

paramfoldername = indir+'camcalib/param' 
reprojfoldername = indir+'camcalib/reproj' 

distflag = 1 # calibrate distortion parameter -> required for underwater case
# distflag = 0 # Do not calibrate distortion parameter (use other methods beforehand)
do = 'exe\\camera_calib_method.exe ' + imagename + ' ' + point2dname + ' ' + point3dname+ ' ' + truename + ' ' + str(distflag) + ' ' + paramfoldername + ' ' + reprojfoldername



print(do)
os.system(do)