# -*- coding: utf-8 -*-

# Kyushu University
# Developed by Hitoshi Teshima and Akihiko Sayo
# Ver 0.1.0
# 2019/09/23 All Right Reserved Kawasaki Lab.

import cv2


def isoImg(self):
    indir = self.config['projectRoot']+'capture/'
    files = [self.config['captureList'][i]['name'] for i in range(len(self.config['captureList']))]
    outdir = self.config['projectRoot']+'iso/'
    for i in range(len(files)):
        img = cv2.imread(indir+files[i], 1)
        det = cv2.split(img)

        cam_img = outdir+'Camera{0:03d}.png'.format(i)  # cyan
        proj_img = outdir+'Projector{0:03d}.png'.format(i)  # yellow
        cv2.imwrite(cam_img, det[0])
        cv2.imwrite(proj_img, det[2])

    return 0
