# -*- coding: utf-8 -*-

# Kyushu University
# Developed by Hitoshi Teshima and Akihiko Sayo
# Ver 0.1.0
# 2019/09/23 All Right Reserved Kawasaki Lab.

import subprocess


def stereoCalib(self):
    cam0_dir = self.config['projectRoot']+'cam/'
    cam1_dir = self.config['projectRoot']+'proj/'
    outdir = self.config['projectRoot']+'proj/param/'

    cam0image = self.config['projectRoot']+'iso/Camera%03d.png'
    if self.config['cam']['distflag']:
        cam0p2d = cam0_dir+'point_ud/cam2D%03d.txt'
        cam0p3d = cam0_dir+'point/cam3D%03d.txt'
    else:
        cam0p2d = cam0_dir+'point/cam2D%03d.txt'
        cam0p3d = cam0_dir+'point/cam3D%03d.txt'

    cam1image = self.config['projectRoot']+'iso/Projector%03d.png'
    cam1p2d = cam1_dir + 'point/proj2D%03d.txt'
    cam1p3d = cam1_dir + 'point/pattern%03d.txt'

    stereoR = outdir+'camprojR.txt'
    stereot = outdir+'camprojt.txt'
    Fmat = outdir+'Fmat.txt'

    cam1Mat = outdir+'projMat.txt'
    cam1dist = outdir+'projdist.txt'

    exe = []
    exe.append('exe\\Proj_calib_method')
    exe.append(self.config['projectRoot']+'validID.txt')
    exe.append(cam0image.replace('/', '\\'))
    exe.append(cam0p2d.replace('/', '\\'))
    exe.append(cam0p3d.replace('/', '\\'))
    exe.append(str(self.config['cam']['width']))
    exe.append(str(self.config['cam']['height']))
    exe.append(self.config['projectRoot']+'validID.txt')
    exe.append(cam1image.replace('/', '\\'))
    exe.append(cam1p2d.replace('/', '\\'))
    exe.append(cam1p3d.replace('/', '\\'))
    exe.append(str(self.config['proj']['width']))
    exe.append(str(self.config['proj']['height']))
    exe.append(stereoR.replace('/', '\\'))
    exe.append(stereot.replace('/', '\\'))
    exe.append(Fmat.replace('/', '\\'))
    exe.append(cam1Mat.replace('/', '\\'))
    exe.append(cam1dist.replace('/', '\\'))
    exe.append(str(self.config['proj']['distflag']))
    print(' '.join(exe))

    result = subprocess.call(exe)

    return result
