# -*- coding: utf-8 -*-
import os

cam0_dir = 'cam/'
cam1_dir = 'proj/'
#output_dir = 'projParam/'
output_dir = 'param/'
#inputname
cam0truenum = cam0_dir+'point/cam_true_num.txt'
#cam0image = cam0_dir + "iso/Camera%03d.png"
cam0image = "iso/Camera%03d.png"

cam0p2d = cam0_dir + 'point_ud/cam2D%03d.txt'
cam0p3d = cam0_dir + 'point/cam3D%03d.txt'

cam0resoX = '1600'
cam0resoY = '1200'
#cam0resoX = '1200'
#cam0resoY = '1200'

### projector calibration is relatively coducted by using camera image,
### so, need to integrate cam_true_num.txt and proj_true_num.txt.
### To do so, copy from cam/point/cam_true_num.txt to proj/point/cam_true_num.txt
### and modify them based on detection resluts.
cam1truenum = cam1_dir+'point/proj_true_num.txt'
# cam1truenum = cam1_dir+'point/cam_true_num.txt'
#cam1truenum = cam0_dir+'point/cam_true_num.txt'

#cam1image = cam1_dir + "iso/Camera%03d.png"
cam1image = "iso/Projector%03d.png"

cam1p2d = cam1_dir + 'point/proj2D%03d.txt'
cam1p3d = cam1_dir + 'point/pattern%03d.txt'

cam1resoX = '1024'
cam1resoY = '768'
#cam1resoX = '1280'
#cam1resoY = '800'

#out put name
stereoR = output_dir+'camprojR.txt'
stereot = output_dir+'camprojt.txt'
Fmat = output_dir+'Fmat.txt'


cam1Mat = output_dir+'projMat.txt'
cam1dist = output_dir+'projdist.txt'

distflag = 1 #calibrate distortion parameter
# distflag = 0 #Do not calibrate distortion parameter

do = "exe\\Proj_calib_method"+' '+cam0truenum+' '+cam0image+' '+cam0p2d+' '+cam0p3d+' '+cam0resoX+' '+cam0resoY+' '+cam1truenum+' '+cam1image+' '+cam1p2d+' '+cam1p3d+' '+cam1resoX+' '+cam1resoY+' '+stereoR+' '+stereot+' '+Fmat+' '+cam1Mat+' '+cam1dist+' '+str(distflag)

print(do)
os.system(do)